Loading...
Searching...
No Matches
Magick::Drawable Class Reference

## Public Member Functions

| Drawable (const DrawableBase &original_)
| Drawable (const Drawable &original_)
Drawable & | operator= (const Drawable &original_)
void | operator() (MagickCore::DrawingWand *) const

## Private Attributes

DrawableBase * | dp

## Detailed Description

Definition at line 120 of file Drawable.h.

## Constructor & Destructor Documentation

## Drawable() [1/3]

Magick::Drawable::Drawable | ( | void |  | ) |

Definition at line 82 of file Drawable.cpp.

: dp((Magick::DrawableBase *) NULL)
{
}

## Drawable() [2/3]

Magick::Drawable::Drawable | ( | const DrawableBase & | original_ | ) |

Definition at line 87 of file Drawable.cpp.

: dp(original_.copy())
{
}

## ~Drawable()

Magick::Drawable::~Drawable | ( | void |  | ) |

Definition at line 92 of file Drawable.cpp.

{
delete dp;
dp=(Magick::DrawableBase *) NULL;
}

## Drawable() [3/3]

Magick::Drawable::Drawable | ( | const Drawable & | original_ | ) |

Definition at line 98 of file Drawable.cpp.

: dp((original_.dp != (Magick::DrawableBase *) NULL ? original_.dp->copy() :
(Magick::DrawableBase *) NULL))
{
}

## Member Function Documentation

## operator()()

void Magick::Drawable::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

Definition at line 120 of file Drawable.cpp.

{
if (dp != (Magick::DrawableBase *) NULL)
dp->operator()(context_);
}

## operator=()

Magick::Drawable & Magick::Drawable::operator= | ( | const Drawable & | original_ | ) |

Definition at line 104 of file Drawable.cpp.

{
DrawableBase
*temp_dp;
if (this != &original_)
{
temp_dp=(original_.dp != (Magick::DrawableBase *) NULL ?
original_.dp->copy() : (Magick::DrawableBase *) NULL);
delete dp;
dp=temp_dp;
}
return(*this);
}

## Field Documentation

## dp

DrawableBase* Magick::Drawable::dp

private

Definition at line 143 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp